{
	"artifacts" : 
	[
		{
			"path" : "skylink_station.exe"
		},
		{
			"path" : "skylink_station.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"install",
			"target_link_libraries",
			"set_target_properties",
			"include",
			"find_package",
			"target_compile_options",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt",
			"D:/app/qt/6.9.1/mingw_64/lib/cmake/Qt6Gui/Qt6GuiTargets.cmake",
			"D:/app/qt/6.9.1/mingw_64/lib/cmake/Qt6Gui/Qt6GuiConfig.cmake",
			"build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/.qtc/package-manager/maintenance_tool_provider.cmake",
			"D:/app/qt/6.9.1/mingw_64/lib/cmake/Qt6Network/Qt6NetworkTargets.cmake",
			"D:/app/qt/6.9.1/mingw_64/lib/cmake/Qt6Network/Qt6NetworkConfig.cmake",
			"D:/app/qt/6.9.1/mingw_64/lib/cmake/Qt6Core/Qt6CoreTargets.cmake",
			"D:/app/qt/6.9.1/mingw_64/lib/cmake/Qt6Core/Qt6CoreConfig.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 74,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 109,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 85,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 25,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 3,
				"line" : 297,
				"parent" : 4
			},
			{
				"file" : 2,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 55,
				"parent" : 6
			},
			{
				"file" : 1,
				"parent" : 7
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 61,
				"parent" : 8
			},
			{
				"command" : 5,
				"file" : 3,
				"line" : 297,
				"parent" : 4
			},
			{
				"file" : 5,
				"parent" : 10
			},
			{
				"command" : 4,
				"file" : 5,
				"line" : 55,
				"parent" : 11
			},
			{
				"file" : 4,
				"parent" : 12
			},
			{
				"command" : 3,
				"file" : 4,
				"line" : 61,
				"parent" : 13
			},
			{
				"command" : 5,
				"file" : 3,
				"line" : 297,
				"parent" : 4
			},
			{
				"file" : 7,
				"parent" : 15
			},
			{
				"command" : 4,
				"file" : 7,
				"line" : 57,
				"parent" : 16
			},
			{
				"file" : 6,
				"parent" : 17
			},
			{
				"command" : 3,
				"file" : 6,
				"line" : 61,
				"parent" : 18
			},
			{
				"command" : 6,
				"file" : 0,
				"line" : 102,
				"parent" : 0
			},
			{
				"command" : 7,
				"file" : 0,
				"line" : 40,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-DQT_QML_DEBUG -g -std=gnu++17 -fdiagnostics-color=always"
				},
				{
					"backtrace" : 20,
					"fragment" : "-Wall"
				},
				{
					"backtrace" : 20,
					"fragment" : "-Wextra"
				},
				{
					"backtrace" : 20,
					"fragment" : "-Wpedantic"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 3,
					"define" : "MINGW_HAS_SECURE_API=1"
				},
				{
					"backtrace" : 3,
					"define" : "QT_CONCURRENT_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_NETWORK_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_WIDGETS_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "UNICODE"
				},
				{
					"backtrace" : 3,
					"define" : "WIN32"
				},
				{
					"backtrace" : 3,
					"define" : "WIN64"
				},
				{
					"backtrace" : 3,
					"define" : "_ENABLE_EXTENDED_ALIGNED_STORAGE"
				},
				{
					"backtrace" : 3,
					"define" : "_UNICODE"
				},
				{
					"backtrace" : 3,
					"define" : "_WIN64"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "D:/code/skyLink/skylink_qt_station/build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/include"
				},
				{
					"backtrace" : 21,
					"path" : "D:/code/skyLink/skylink_qt_station/src"
				},
				{
					"backtrace" : 21,
					"path" : "D:/code/skyLink/skylink_qt_station/../protocol"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/include/QtCore"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/include"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/mkspecs/win32-g++"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/include/QtGui"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/include/QtWidgets"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/include/QtNetwork"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/qt/6.9.1/mingw_64/include/QtConcurrent"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "D:/app/opencv4_12/opencv/build/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					3,
					3
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				12
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "skylink_station_autogen_timestamp_deps::@6890427a1f51a3e7e1df"
		},
		{
			"backtrace" : 0,
			"id" : "skylink_station_autogen::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "skylink_station::@6890427a1f51a3e7e1df",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 2,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "C:/Program Files (x86)/skylink_station"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-DQT_QML_DEBUG -g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\qt\\6.9.1\\mingw_64\\lib\\libQt6Widgets.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\qt\\6.9.1\\mingw_64\\lib\\libQt6Network.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\qt\\6.9.1\\mingw_64\\lib\\libQt6Concurrent.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\opencv4_12\\opencv\\build\\x64\\vc16\\lib\\opencv_world4120d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\opencv4_12\\opencv\\build\\x64\\vc16\\lib\\opencv_world4120d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\qt\\6.9.1\\mingw_64\\lib\\libQt6Gui.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 9,
				"fragment" : "-ld3d11",
				"role" : "libraries"
			},
			{
				"backtrace" : 9,
				"fragment" : "-ldxgi",
				"role" : "libraries"
			},
			{
				"backtrace" : 9,
				"fragment" : "-ldxguid",
				"role" : "libraries"
			},
			{
				"backtrace" : 9,
				"fragment" : "-ld3d12",
				"role" : "libraries"
			},
			{
				"backtrace" : 14,
				"fragment" : "-lws2_32",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "D:\\app\\qt\\6.9.1\\mingw_64\\lib\\libQt6Core.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "-lmpr",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "-luserenv",
				"role" : "libraries"
			},
			{
				"fragment" : "-lkernel32 -luser32 -lgdi32 -lwinspool -lshell32 -lole32 -loleaut32 -luuid -lcomdlg32 -ladvapi32",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "skylink_station",
	"nameOnDisk" : "skylink_station.exe",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				12
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				5,
				6,
				7,
				10
			]
		},
		{
			"name" : "Forms",
			"sourceIndexes" : 
			[
				8
			]
		},
		{
			"name" : "Resources",
			"sourceIndexes" : 
			[
				9
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				11
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				13,
				14
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MainWindow.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GroundReceiver.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/DataLogger.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/MainWindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GroundReceiver.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/DataLogger.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "forms/MainWindow.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 1,
			"path" : "resources.qrc",
			"sourceGroupIndex" : 3
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/include/forms/ui_MainWindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/timestamp",
			"sourceGroupIndex" : 4
		},
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/EWIEGA46WW/qrc_resources.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/timestamp.rule",
			"sourceGroupIndex" : 5
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_9_1_MinGW_64_bit-Debug/skylink_station_autogen/EWIEGA46WW/qrc_resources.cpp.rule",
			"sourceGroupIndex" : 5
		}
	],
	"type" : "EXECUTABLE"
}
